aspnet_regiis.exe -i 报 “此操作系统版本不支持此选项”

网上下载了一套源码 搭建的时候报错

阿里云服务器

系统 Windows Server 2012 x64

应用程序池 .NET V4.5 Classic 启用32位应用程序

HTTP 错误500.21
图片说明

根据网上的方法说 需重新注册一下aspnet for IIS

管理员方式运行CMD 执行

%windir%\Microsoft.NET\Framework64\v4.0.30319\aspnet_regiis.exe -i

报错

Microsoft (R) ASP.NET RegIIS 版本 4.0.30319.0
用于在本地计算机上安装和卸载 ASP.NET 的管理实用工具。
版权所有(C) Microsoft Corporation。保留所有权利。
开始安装 ASP.NET (4.0.30319.0)。
此操作系统版本不支持此选项。管理员应使用“打开或关闭 Windows 功能”对话框、“服务器管理器”管理工具或 dism.exe 命令行工 具安装/卸载包含 IIS8 的 ASP.NET4.5。
有关更多详细信息,请参见 http://go.microsoft.com/fwlink/?LinkID=216771。 ASP.NET (4.0.30319.0)安装完毕。

按照网上的方法

方法一[无效]

dism /online /enable-feature /featurename:IIS-ISAPIFilter
dism /online /enable-feature /featurename:IIS-ISAPIExtensions
dism /online /enable-feature /featurename:IIS-NetFxExtensibility45
dism /online /enable-feature /featurename:IIS-ASPNET45

方法二[无效]

1、ASP.NET 3.5
2、ASP.NET 4.6
3、ISAPI扩展
4、ISAPI筛选器
5、.NET Extensibility 3.5
6、.NET Extensibility 4.6

图片说明

看了一圈 基本就这两种方法 但我都尝试了 并没有解决我的问题

难道只能换系统了? 求救。。。

1个回答

你下载的源代码是.net 4.5的么?是不是.net 3.x的。

txwdjyh
txwdjyh web.config里写着targetframework='4.5'
大约一年之前 回复
Csdn user default icon
上传中...
上传图片
插入图片
抄袭、复制答案,以达到刷声望分或其他目的的行为,在CSDN问答是严格禁止的,一经发现立刻封号。是时候展现真正的技术了!
立即提问
相关内容推荐